PLplot: tclAPI.c File Reference

PLplot 5.15.0

Classes | Macros | Typedefs | Functions | Variables
tclAPI.c File Reference
`#include "plplotP.h"`
`#include "pltcl.h"`
`#include "plplot_parameters.h"`
`#include "tclgen.h"`
`#include "tclgen_s.h"`
`#include "tclgen.c"`

Go to the source code of this file.

## Classes
struct | Command
struct | CmdInfo

## Macros
#define | CHECK_Tcl_GetMatrixPtr(result, interp, matName)
#define | PL_LIBRARY ""
#define | PLPLOT_EXTENDED_SEARCH

## Typedefs
typedef struct Command | Command

## Functions
static int | loopbackCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plcolorbarCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plcontCmd (ClientData, Tcl_Interp *, int, const char **)
static int | pllegendCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmeshCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmeshcCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plot3dCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plot3dcCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plsurf3dCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plsurf3dlCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plsetoptCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plshadeCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plshadesCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmapCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmapfillCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmaplineCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmapstringCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmaptexCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plmeridiansCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plstransformCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plsvectCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plvectCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plranddCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plgriddataCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plimageCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plimagefrCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plstripcCmd (ClientData, Tcl_Interp *, int, const char **)
static int | plslabelfuncCmd (ClientData, Tcl_Interp *, int, const char **)
void | mapform (PLINT n, PLFLT *x, PLFLT *y)
void | labelform (PLINT axis, PLFLT value, char *string, PLINT string_length, PLPointer data)
PLFLT | tclMatrix_feval (PLINT i, PLINT j, PLPointer p)
static int | tcl_cmd (Tcl_Interp *interp, const char *cmd)
static void | Append_Cmdlist (Tcl_Interp *interp)
static void | plTclCmd_Init (Tcl_Interp *PL_UNUSED(interp))
int | plTclCmd (char *cmdlist, Tcl_Interp *interp, int argc, const char **argv)
static int | loopbackCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
int | PlbasicInit (Tcl_Interp *interp)
int | Pltcl_Init (Tcl_Interp *interp)
int | plWait_Until (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int PL_UNUSED(argc), const char **argv)
int | pls_auto_path (Tcl_Interp *interp)
static int | plcontCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plsvectCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plvectCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmeshCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmeshcCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plot3dCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plot3dcCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plsurf3dCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plsurf3dlCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plranddCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
static int | plsetoptCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
static int | plshadeCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plshadesCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmapCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int * | GetEntries (Tcl_Interp *interp, const char *string, int *n)
static int | plmapfillCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmaplineCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmapstringCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmaptexCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plmeridiansCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static void | Tcl_transform (PLFLT x, PLFLT y, PLFLT *xt, PLFLT *yt, PLPointer PL_UNUSED(data))
static int | plstransformCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plgriddataCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plimageCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plimagefrCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plstripcCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
void | labelform (PLINT axis, PLFLT value, char *string, PLINT string_length, PLPointer PL_UNUSED(data))
static int | plslabelfuncCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int * | argv_to_ints (Tcl_Interp *interp, const char *list_numbers, int *number)
static PLFLT * | argv_to_PLFLTs (Tcl_Interp *interp, const char *list_numbers, int *number)
static char ** | argv_to_chars (Tcl_Interp *interp, const char *list_strings, int *number)
static int | pllegendCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])
static int | plcolorbarCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char *argv[])

## Variables
static CmdInfo | Cmds []
static int | cmdTable_initted
static Tcl_HashTable | cmdTable
static PLINT | pl_errcode
static char | errmsg [160]
PLDLLIMPEXP char * | plplotLibDir
static char | buf [200]
static int | tclmateval_modx
static int | tclmateval_mody
static const char * | transform_name
static Tcl_Interp * | tcl_interp
static int | return_code
static Tcl_Interp * | tcl_xform_interp = 0
static char * | tcl_xform_procname = 0
static const char * | tcl_xform_template
static char * | tcl_xform_code = 0
static Tcl_Obj * | label_objs [4] = { NULL, NULL, NULL, NULL }

## Macro Definition Documentation

## ◆ CHECK_Tcl_GetMatrixPtr

#define CHECK_Tcl_GetMatrixPtr | ( |  | result,
|  |  | interp,
|  |  | matName
| ) |  |

Value:
result = Tcl_GetMatrixPtr( interp, matName ); \
if ( result == NULL ) return TCL_ERROR;
Tcl_GetMatrixPtr
tclMatrix * Tcl_GetMatrixPtr(Tcl_Interp *interp, const char *matName)
Definition: tclMatrix.c:424
interp
static Tcl_Interp * interp
Definition: tkMain.c:120

Definition at line 56 of file tclAPI.c.

## ◆ PL_LIBRARY

#define PL_LIBRARY ""

Definition at line 163 of file tclAPI.c.

## ◆ PLPLOT_EXTENDED_SEARCH

#define PLPLOT_EXTENDED_SEARCH

Definition at line 174 of file tclAPI.c.

## Typedef Documentation

## ◆ Command

typedef struct Command Command

## Function Documentation

## ◆ Append_Cmdlist()

static void Append_Cmdlist | ( | Tcl_Interp * | interp | ) |
| static

Definition at line 191 of file tclAPI.c.

## ◆ argv_to_chars()

static char** argv_to_chars | ( | Tcl_Interp * | interp,
|  | const char * | list_strings,
|  | int * | number
| ) |  |
| static

Definition at line 5032 of file tclAPI.c.

## ◆ argv_to_ints()

static int* argv_to_ints | ( | Tcl_Interp * | interp,
|  | const char * | list_numbers,
|  | int * | number
| ) |  |
| static

Definition at line 4976 of file tclAPI.c.

## ◆ argv_to_PLFLTs()

static PLFLT* argv_to_PLFLTs | ( | Tcl_Interp * | interp,
|  | const char * | list_numbers,
|  | int * | number
| ) |  |
| static

Definition at line 5003 of file tclAPI.c.

## ◆ GetEntries()

static int* GetEntries | ( | Tcl_Interp * | interp,
|  | const char * | string,
|  | int * | n
| ) |  |
| static

Definition at line 3843 of file tclAPI.c.

## ◆ labelform() [1/2]

void labelform | ( | PLINT | axis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | string_length,
|  | PLPointer | data
| ) |  |

## ◆ labelform() [2/2]

void labelform | ( | PLINT | axis,
|  | PLFLT | value,
|  | char * | string,
|  | PLINT | string_length,
|  | PLPointer | PL_UNUSEDdata
| ) |  |

Definition at line 4878 of file tclAPI.c.

## ◆ loopbackCmd() [1/2]

static int loopbackCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ loopbackCmd() [2/2]

static int loopbackCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 356 of file tclAPI.c.

## ◆ mapform()

void mapform | ( | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

Definition at line 3693 of file tclAPI.c.

## ◆ PlbasicInit()

int PlbasicInit | ( | Tcl_Interp * | interp | ) |

Definition at line 418 of file tclAPI.c.

## ◆ plcolorbarCmd() [1/2]

static int plcolorbarCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plcolorbarCmd() [2/2]

static int plcolorbarCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 5201 of file tclAPI.c.

## ◆ plcontCmd() [1/2]

static int plcontCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plcontCmd() [2/2]

static int plcontCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 922 of file tclAPI.c.

## ◆ plgriddataCmd() [1/2]

static int plgriddataCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plgriddataCmd() [2/2]

static int plgriddataCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4481 of file tclAPI.c.

## ◆ plimageCmd() [1/2]

static int plimageCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plimageCmd() [2/2]

static int plimageCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4578 of file tclAPI.c.

## ◆ plimagefrCmd() [1/2]

static int plimagefrCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plimagefrCmd() [2/2]

static int plimagefrCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4654 of file tclAPI.c.

## ◆ pllegendCmd() [1/2]

static int pllegendCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ pllegendCmd() [2/2]

static int pllegendCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 5070 of file tclAPI.c.

## ◆ plmapCmd() [1/2]

static int plmapCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmapCmd() [2/2]

static int plmapCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 3778 of file tclAPI.c.

## ◆ plmapfillCmd() [1/2]

static int plmapfillCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmapfillCmd() [2/2]

static int plmapfillCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 3889 of file tclAPI.c.

## ◆ plmaplineCmd() [1/2]

static int plmaplineCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmaplineCmd() [2/2]

static int plmaplineCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4001 of file tclAPI.c.

## ◆ plmapstringCmd() [1/2]

static int plmapstringCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmapstringCmd() [2/2]

static int plmapstringCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4116 of file tclAPI.c.

## ◆ plmaptexCmd() [1/2]

static int plmaptexCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmaptexCmd() [2/2]

static int plmaptexCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4230 of file tclAPI.c.

## ◆ plmeridiansCmd() [1/2]

static int plmeridiansCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmeridiansCmd() [2/2]

static int plmeridiansCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4313 of file tclAPI.c.

## ◆ plmeshcCmd() [1/2]

static int plmeshcCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmeshcCmd() [2/2]

static int plmeshcCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 1776 of file tclAPI.c.

## ◆ plmeshCmd() [1/2]

static int plmeshCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plmeshCmd() [2/2]

static int plmeshCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 1645 of file tclAPI.c.

## ◆ plot3dcCmd() [1/2]

static int plot3dcCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plot3dcCmd() [2/2]

static int plot3dcCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 2163 of file tclAPI.c.

## ◆ plot3dCmd() [1/2]

static int plot3dCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plot3dCmd() [2/2]

static int plot3dCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 2030 of file tclAPI.c.

## ◆ plranddCmd() [1/2]

static int plranddCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plranddCmd() [2/2]

static int plranddCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3007 of file tclAPI.c.

## ◆ pls_auto_path()

int pls_auto_path | ( | Tcl_Interp * | interp | ) |

Definition at line 716 of file tclAPI.c.

## ◆ plsetoptCmd() [1/2]

static int plsetoptCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plsetoptCmd() [2/2]

static int plsetoptCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |
| static

Definition at line 3030 of file tclAPI.c.

## ◆ plshadeCmd() [1/2]

static int plshadeCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plshadeCmd() [2/2]

static int plshadeCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 3072 of file tclAPI.c.

## ◆ plshadesCmd() [1/2]

static int plshadesCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plshadesCmd() [2/2]

static int plshadesCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 3389 of file tclAPI.c.

## ◆ plslabelfuncCmd() [1/2]

static int plslabelfuncCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plslabelfuncCmd() [2/2]

static int plslabelfuncCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4920 of file tclAPI.c.

## ◆ plstransformCmd() [1/2]

static int plstransformCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plstransformCmd() [2/2]

static int plstransformCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4443 of file tclAPI.c.

## ◆ plstripcCmd() [1/2]

static int plstripcCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plstripcCmd() [2/2]

static int plstripcCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 4768 of file tclAPI.c.

## ◆ plsurf3dCmd() [1/2]

static int plsurf3dCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plsurf3dCmd() [2/2]

static int plsurf3dCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 2421 of file tclAPI.c.

## ◆ plsurf3dlCmd() [1/2]

static int plsurf3dlCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plsurf3dlCmd() [2/2]

static int plsurf3dlCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 2679 of file tclAPI.c.

## ◆ plsvectCmd() [1/2]

static int plsvectCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plsvectCmd() [2/2]

static int plsvectCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 1253 of file tclAPI.c.

## ◆ Pltcl_Init()

int Pltcl_Init | ( | Tcl_Interp * | interp | ) |

Definition at line 633 of file tclAPI.c.

## ◆ plTclCmd()

int plTclCmd | ( | char * | cmdlist,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 289 of file tclAPI.c.

## ◆ plTclCmd_Init()

static void plTclCmd_Init | ( | Tcl_Interp * | PL_UNUSEDinterp | ) |
| static

Definition at line 234 of file tclAPI.c.

## ◆ plvectCmd() [1/2]

static int plvectCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |
| static

## ◆ plvectCmd() [2/2]

static int plvectCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char * | argv[]
| ) |  |
| static

Definition at line 1309 of file tclAPI.c.

## ◆ plWait_Until()

int plWait_Until | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | PL_UNUSEDargc,
|  | const char ** | argv
| ) |  |

Definition at line 681 of file tclAPI.c.

## ◆ tcl_cmd()

static int tcl_cmd | ( | Tcl_Interp * | interp,
|  | const char * | cmd
| ) |  |
| static

Definition at line 848 of file tclAPI.c.

## ◆ Tcl_transform()

static void Tcl_transform | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT * | xt,
|  | PLFLT * | yt,
|  | PLPointer | PL_UNUSEDdata
| ) |  |
| static

Definition at line 4383 of file tclAPI.c.

## ◆ tclMatrix_feval()

PLFLT tclMatrix_feval | ( | PLINT | i,
|  | PLINT | j,
|  | PLPointer | p
| ) |  |

Definition at line 908 of file tclAPI.c.

## Variable Documentation

## ◆ buf

char buf[200]
| static

Definition at line 873 of file tclAPI.c.

## ◆ Cmds

CmdInfo Cmds[]
| static

Definition at line 117 of file tclAPI.c.

## ◆ cmdTable

Tcl_HashTable cmdTable
| static

Definition at line 153 of file tclAPI.c.

## ◆ cmdTable_initted

int cmdTable_initted
| static

Definition at line 152 of file tclAPI.c.

## ◆ errmsg

char errmsg[160]
| static

Definition at line 158 of file tclAPI.c.

## ◆ label_objs

Tcl_Obj* label_objs[4] = { NULL, NULL, NULL, NULL }
| static

Definition at line 4874 of file tclAPI.c.

## ◆ pl_errcode

PLINT pl_errcode
| static

Definition at line 157 of file tclAPI.c.

## ◆ plplotLibDir

PLDLLIMPEXP char* plplotLibDir

Definition at line 82 of file plctrl.c.

## ◆ return_code

int return_code
| static

Definition at line 3690 of file tclAPI.c.

## ◆ tcl_interp

Tcl_Interp* tcl_interp
| static

Definition at line 3689 of file tclAPI.c.

## ◆ tcl_xform_code

char* tcl_xform_code = 0
| static

Definition at line 4380 of file tclAPI.c.

## ◆ tcl_xform_interp

Tcl_Interp* tcl_xform_interp = 0
| static

Definition at line 4370 of file tclAPI.c.

## ◆ tcl_xform_procname

char* tcl_xform_procname = 0
| static

Definition at line 4371 of file tclAPI.c.

## ◆ tcl_xform_template

const char* tcl_xform_template
| static

Initial value:
=
"set result [%s ${_##_x} ${_##_y}] ; lassign $result _##_x _##_y"

Definition at line 4372 of file tclAPI.c.

## ◆ tclmateval_modx

int tclmateval_modx
| static

Definition at line 906 of file tclAPI.c.

## ◆ tclmateval_mody

int tclmateval_mody
| static

Definition at line 906 of file tclAPI.c.

## ◆ transform_name

const char* transform_name
| static

Definition at line 3687 of file tclAPI.c.